program interp_2d_4p1

! Faz interpolação polinomial sobre pontos nodais fornecidos
! Abordagem bidimensional - 49 pontos
! Polinomeu de grau 6 bidimensional
! Avalia um ponto específico a ser interpolado (não calcula o ponto extremo)

! Versão  4.1 ( SET 2012)

!   Linguagem Fortran
!   Aplicativo usado: Microsoft Visual Studio 2005, Intel Fortran 11.1
!   Tipo de projeto: Console Application
!   Todas as variáveis são adimensionais

! ARQUIVOS envolvidos no programa:
!   variaveis.f90    = define as variáveis do programa
!   dados.f90        = lê  os dados do programa
!   calculos.f90     = calcula as soluções interpoladas
!   resultados.f90   = mostra listagem dos resultados
!   main.f90         = programa principal
!   leia_me.txt      = dados básicos sobre o programa
!
! Outros arquivos
!   interp_2d _4p1.in = dados do programa
!   "Titulo"             = saída principal do programa
!   Notepad.exe        = editor de arquivos
!--------------------------------------------------------------------------------
use portlib
use dados
use calculos
use calculos1
use calculos2
use calculos3
use calculos4
use calculos5
use calculos6
use resultados

!-------------------------------------------------------------------------------

implicit none

!-------------------------------------------------------------------------------

  call le_dados

call date_and_time(VALUES = tarray1)

cpu1 = tarray1(3)*24.q0*60.q0*60.q0 + tarray1(5)*60.q0*60.q0+ tarray1(6)*60.q0 +&
 tarray1(7)*1.q0 + tarray1(8)*1.q-3
!-------------------------------------------------------------------------------
vezes = 1

do i=1,vezes
    !cpu1 = timef()

        call numerico
        call numerico1
        call numerico2
        call numerico3
        call numerico4
        call numerico5
        call numerico6

    !cpu1 = timef()
end do

call date_and_time(VALUES = tarray2)
cpu2 = tarray2(3)*24.q0*60.q0*60.q0 + tarray2(5)*60.q0*60.q0+ tarray2(6)*60.q0 +&
 tarray2(7)*1.q0 + tarray2(8)*1.q-3

 cpu1 = (cpu2-cpu1)/(vezes*1.q0)
!------------------------------------------------------------------------------
  
  call visualizacao



end
